Bug 71153 - The sample applet program in panel-applet document has a bug.
The sample applet program in panel-applet document has a bug.
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-09 08:54 EDT by Deng Guang
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-10 16:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Deng Guang 2002-08-09 08:54:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
The iids in the two files above are different, in one file it is
OAFIID:My_HelloApplet_Factory, the other is OAFIID:GNOME_HelloApplet_Factory. 
They should be the same. And other iid should also be changed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Try to run the program in the files below:

Actual Results:  Get "foo" when start the sample applet.

Expected Results:  Get the normal result.

Additional info:

    I'm new in writing panel applet. It wasted me two days to find other resouce
about writing applet:(, in vain. At last, I read the program again, and found
the bug.
Comment 1 Havoc Pennington 2002-08-13 17:38:20 EDT
Forwarded upstream as http://bugzilla.gnome.org/show_bug.cgi?id=90675

closing on Red Hat level, will get a fix with new upstream versions.

Note You need to log in before you can comment on or make changes to this bug.